Aihe

Miten päivittää VLC

öölölööl

Ubuntussa on tarjolla vanhentunut vlv-versio jossa on havaittu matoja ja pöpöjä ja on siksi vaarallinen.
Kuinka se päivitetään ajan tasalle?

38

<50

    Vastaukset

    • Vlc:n sivulta löytyy.
      Sieltä voi ladata ja asennusohjeet löytyy jostain Ubuntun sivuilta jos ei muuten osaa.

    • Ubuntu on kovin hankala.

      • Windows vakoilee, kaiken käyttäjältä.


    • LIVE555 RTSP mediakirjasto se vuotaa, eikä VLC. Koskee kaikkia playereitä joissa käytät tuota. Ubuntussa tulee päivityksinä, jos on tarpeen, eikä versionumerolla ole väliä (ei ole mikään windowsi). Asenna snappina jos haluat aina uusinta uutta(3.0.6).

    • Löytyy myös ppa:videolan/stable-daily tai ppa:videolan/master-daily jos haluaa verion 4 testiin.
      Noita soittimia on paljon. VLC ei oma suosikkini, kun sillä voi tehdä liki mitä vaan ja vaatii paljon KDE kamaa. Päivittyy kyllä paketinhallinnan kautta. Muille versioille tuskin tarvetta.

      • Turha se on soitinta mollata(ja päivittää), kun vuotaja on muualla. Tuollahan netissä mainitaan mm. Mplayerin käyttävän em. kirjastoa. Sitten on varmaan sata muutakin tutntemattomampaa... Ei kyse ole soittimesta, vaan kirjastosta, joitahan voi soittimessa käyttää.


      • Jooppssss jotain ppa päivitystä tarvitaan se vlc ei päivity ubuntun mukana


    • Ajamalla päivitykset. Ubuntu päivittyy keskitetysti. Vlc päivittyy muun järjestelmän mukana.

    • Asensin juuri VLC:n.

      Ubuntu 14.04 sovellusvalikoima ilmoittaa:

      - Canonical ei tarjoa päivityksiä paketille VLC-mediasoitin. Ubuntun yhteisö saattaa tarjota joitain päivityksiä.

      Tällä hetkellä sovellusvalikoimasta saatava VLC on 2.1.6.
      En löydä tietoa onko tuo uusin mahdollinen.

      • Uusin on VLC -versio on muistaakseni 3.xx -jotain sarjaa.
        Ubuntun päivityksessä yksittäiset erillissovellukset eivät päivity miksikään. PPA:n avulla saadaan tosin nekin joissain tapauksissa ajan tasalle.En itse tiedä onko VLC:lle sellaista tarjolla. Sovellukset pysyvät siinä versiossa mikä ko. Ubuntun versiossa on ollut tarjolla niin kauan kunnes päivität koko Ubuntun seuraavaan versioon.

        En tiedä päivittyykö LIVE555 RTSP mediakirjasto miksikään Ubuntun normaalipäivityksissä vai ei. Jos ei päivity, niin asiat on aika huonosti ja tietoturva on vaarassa.


    • LIVE555 RTSP mediakirjasto pitää erikseen asentaa, joten jatka playerin käyttöä...
      Älä jumitu niihin numeroihin, toimivuus on a ja o.

      • Koskee vain Windowsin onnettomia tekeleitä. Aloittaja puhuu Ubuntusta.


      • Katoitse kirjoitti:

        Koskee vain Windowsin onnettomia tekeleitä. Aloittaja puhuu Ubuntusta.

        Koskee nimenomaan Ubuntua.


    • Turhaa, mutta:
      sudo apt upgrade vlc
      tai snap:
      snap refresh vlc

      # Naputtele yp-salasana ja enter.
      # Ensimmäinen komento tahtoo asentaa perinteisen version, joten vastaa e tai n.

      • 14.04 taitaa vaatia koodia: sudo apt-get upgrade vlc


      • Turhaa tosiaan. Niinkuin joku jo sanoikin, niin ei se olemassaoleva vlc mihinkään päivity.


      • Kerranvaine kirjoitti:

        Turhaa tosiaan. Niinkuin joku jo sanoikin, niin ei se olemassaoleva vlc mihinkään päivity.

        Tulee siihen tietoturvapäivitykset. Versionumerohan meinaa sitä, että tulee lisää ominaisuuksia ja ohjelma muuttuu. Mitä eroa huomaat? Turha se on marista...


      • annaheilletyörauha kirjoitti:

        Tulee siihen tietoturvapäivitykset. Versionumerohan meinaa sitä, että tulee lisää ominaisuuksia ja ohjelma muuttuu. Mitä eroa huomaat? Turha se on marista...

        Hehheh, taidat olla ihan ulalla. Tutustu Ubuntuun niin opit jotain.


      • vanhastamuistan kirjoitti:

        14.04 taitaa vaatia koodia: sudo apt-get upgrade vlc

        Minulla on tuo 14.04 ja versio 2.1.6.
        Yritin päivittää uusimpaan, joka 3+jotain komennolla
        sudo apt-get upgrade vlc

        Tulos tässä:

        Luetaan pakettiluetteloita... Valmis
        Muodostetaan riippuvuussuhteiden puu
        Luetaan tilatiedot... Valmis
        Käsitellään päivitystä ... Valmis
        vlc on jo uusin versio.
        Seuraavat paketit on alun perin asennettu automaattisesti, eikä niitä enää tarvita:
        kde-l10n-engb kde-l10n-fi libdbusmenu-gtk4 libllvm3.6 libntdb1 libqpdf13
        linux-headers-3.19.0-25 linux-headers-3.19.0-25-generic
        linux-headers-4.4.0-134 linux-headers-4.4.0-134-generic
        linux-image-3.19.0-25-generic linux-image-4.4.0-134-generic
        linux-image-extra-3.19.0-25-generic linux-image-extra-4.4.0-134-generic
        python-ntdb
        Use 'apt-get autoremove' to remove them.
        0 päivitetty, 0 uutta asennusta, 0 poistettavaa ja 0 päivittämätöntä.

        Sitten koetin komennolla:
        sudo apt upgrade vlc
        Sama tulos

        Onko ratkaisu poistaa tämä 2.1.6 ja ladata tuolta
        https://www.videolan.org/vlc/download-ubuntu.html

        En osaa ladata sitä

        % sudo snap install vlc

        Osaako tuo komento hakeutua oikeaan paikkaan hakemaan aito vlc vai mitä tuo tarkoittaa?


      • muumipappa3.0 kirjoitti:

        Minulla on tuo 14.04 ja versio 2.1.6.
        Yritin päivittää uusimpaan, joka 3+jotain komennolla
        sudo apt-get upgrade vlc

        Tulos tässä:

        Luetaan pakettiluetteloita... Valmis
        Muodostetaan riippuvuussuhteiden puu
        Luetaan tilatiedot... Valmis
        Käsitellään päivitystä ... Valmis
        vlc on jo uusin versio.
        Seuraavat paketit on alun perin asennettu automaattisesti, eikä niitä enää tarvita:
        kde-l10n-engb kde-l10n-fi libdbusmenu-gtk4 libllvm3.6 libntdb1 libqpdf13
        linux-headers-3.19.0-25 linux-headers-3.19.0-25-generic
        linux-headers-4.4.0-134 linux-headers-4.4.0-134-generic
        linux-image-3.19.0-25-generic linux-image-4.4.0-134-generic
        linux-image-extra-3.19.0-25-generic linux-image-extra-4.4.0-134-generic
        python-ntdb
        Use 'apt-get autoremove' to remove them.
        0 päivitetty, 0 uutta asennusta, 0 poistettavaa ja 0 päivittämätöntä.

        Sitten koetin komennolla:
        sudo apt upgrade vlc
        Sama tulos

        Onko ratkaisu poistaa tämä 2.1.6 ja ladata tuolta
        https://www.videolan.org/vlc/download-ubuntu.html

        En osaa ladata sitä

        % sudo snap install vlc

        Osaako tuo komento hakeutua oikeaan paikkaan hakemaan aito vlc vai mitä tuo tarkoittaa?

        Kaikki ok, siinä koneella. Koneen takana olevassa on jotain häikkää ;-)


    • Aloittajalle, miksi et päivittäisi Ubuntua ajantasalle? Ubuntu 14.04 lts on jo aika vanha ja tuki loppuu jokatapauksessa muutaman kuukauden päästä ja uuden asennus on edessä.
      Vlc ja muutkin ohjelmat päivittyvät omasta pakettilähteestään samalla kun päivitykset asentaa järjestelmään. Eli ei tarvitse mitään lisäkikkailua jos on asentanut lisäohjelmat oikeaoppisesti lisäämällä pakettilähteen eli ppa:n. Toki moni asentaa lisäohjemia ilman pakettilähteen määrittelyä jolloin ohjelma pysyy siinä versiossa mikä asentamisen aikaan oli.

      • PPA:t eivät ole luotettavia lähteitä.
        Aloittaja ei ole puhunut mistään 14-versiosta. Lue itse! Mistä sinä voit tietää mikä hänellä on?
        Joku muumivaari tässä ketjussa oli asentanut version 14, ellei hän sitten ole sama kuin aloittaja.
        Kaikki muut puhuvat täyttä soopaa tietämättä yhtään mitään koko asiasta saatikka Ubuntusta.
        Tyypillistä aloittelijoilla ja suomi24-asiantuntijoilla!


      • A.Vapunen kirjoitti:

        PPA:t eivät ole luotettavia lähteitä.
        Aloittaja ei ole puhunut mistään 14-versiosta. Lue itse! Mistä sinä voit tietää mikä hänellä on?
        Joku muumivaari tässä ketjussa oli asentanut version 14, ellei hän sitten ole sama kuin aloittaja.
        Kaikki muut puhuvat täyttä soopaa tietämättä yhtään mitään koko asiasta saatikka Ubuntusta.
        Tyypillistä aloittelijoilla ja suomi24-asiantuntijoilla!

        Joo, muumio ei ole sama kuin aloittaja. Aloittaja ei kait ole sanonut mikä versio Ubuntusta hänellä.
        Nooo.... hän on semmonen nuor poika eikä osaa vielä.....


      • muumipappa3.0 kirjoitti:

        Joo, muumio ei ole sama kuin aloittaja. Aloittaja ei kait ole sanonut mikä versio Ubuntusta hänellä.
        Nooo.... hän on semmonen nuor poika eikä osaa vielä.....

        Parasta olisi vain suosiolla luopua siitä ubuntusta, siinä kuitenkin käy ennen pitkää niin että kone hajoaa käsiin. Noita luotettavia linuxsia löytyy vaikka kuinka paljon, ottakaa pois ennen kuin jotain tapahtuu.


    • muumipappa3.0 käyttämäsi Ubuntu 14 on hieman vanha. VLC sisältää paljon riippuvuuksia qt ja kde kirjastoihin, joten sitä hankala päivittää uudemmaksi. Paketinhallinnan ulkopuolelta ei kannata asentaa mitään kuin hyvästä syystä. Eikä löydetty haavoittuvuus ole kovin vakava.

      “This vulnerability does not affect VLC or MPlayer, because they use LIVE555 only to implement an RTSP client,” Finlayson told HackRead “The bug affected only our implementation of a RTSP server, which these media players don’t use. (VLC does have an embedded RTSP server, but that uses a separate implementation, not LIVE555’s.)”

    • cert.fi varoittaa Marvellin WLAN piirin haavoittuvuudesta. Varsinkin Avastar 88W8897 -piiristä. Tuon omistajat voivat miettiä päivityksiä ja välttää wlan-verkon käyttöä. VLC-ohjelmasta ei ollut mainintaa

      • langattomia yhteyksiä tulisi aina välttää, piiristä riippumatta.


      • korkitaanaina kirjoitti:

        langattomia yhteyksiä tulisi aina välttää, piiristä riippumatta.

        Meinaatko että puhelintakaan ei pitäisi käyttää?
        Mikä siinä niin vaarallista on?


    • LIVE555 RTSP mediakirjasto on kaiketi livemedia-utils paketissa? Koetin etsiä sitä. Miten liittyy vlc ohjelmaan? Taas jotain huiputusta olemattomasta bugista. Jollei käytä openrstp.tä ja jaa videoita videoita niin missä ongelma?

      • Asiasta on ollut virallisia varoituksia eri foorumeilla ja lehdissä, joten joku haavoittuvuus on löydetty.
        Sinua on huiputettu uskomaan toisin.


    • Khröhööm ja tietoa esiin!

    • Onko tämä ketju vielä auki, eli joko avaaja sen ratkaisun sai ja asensi uusiman version:
      VLC media player 4.0.0-dev Otto Chriek

      "öölölööl" nimimerkillä ei ole muuta kuin avaus, tais unohtua koko homma.

      • Joku jo kertoikin että PPA:t eivät ole luotettavia lähteitä.
        Ota se huomioon.


    • Ai niinkö tietoturvaton ja tyhmä on tämä ubuntu ettei ymmärrä edes päivittää vanhentuneita ohjelmiaan ilman hirmu kikkailua? Tsaijai, eikö olisi viisainta siirtyä käyttämään sellaisia järjestelmiä missä ohjelmat päivittyy automaattisesti kun ne avataan, eikä tarvitse kirjoittaa kymmeniä rivejä kryptistä koodia?
      Eikä vielä senkään jälkeen ole varmuutta päivityksen läpimenosta 🤮

      • windous ei päivitä itse asennettuja ohjelmia vaan ne täytyy jokainen päivitellä yksitellen. Linuxissa päivittyy koko järjestelmä asennettuine ohjelmineen keskitetysti ja automaattisesti jos niin haluaa.


    • VLC ei ole haavoittuva Ubuntussa joten ihan turha päivitellä jostain epämääräisistä lähteistä.

    Ketjusta on poistettu 0 sääntöjenvastaista viestiä.

    Luetuimmat keskustelut

    1. Tiesikö Martina miehensä taustat?

      Turkkilainen miljonääri onkin irakilainen jolla huikea rikostausta? Askarruttaa tiesikö Martina mistä on kyse vai tuliko yllätyksenä. Joka tapauksessa
      Kotimaiset julkkisjuorut
      359
      17585
    2. Korona räjähtämässä käsiin 618 uutta tartuntaa 5 uutta kuolemaa

      Marin ja Kiuru karjaisivat kunnille mm. HUS-alueelle viime hetkellä, eivät ne pysty hoitamaan asioitansa vaan tarvitaan Marinin hallituksen tiukkaa oh
      Maailman menoa
      672
      10007
    3. Seiska: Sedu Koskinen vaihtaa nimensä eksoottiseksi Zedu Di Lucaksi!

      No nyt! Ja nimen takana vanha ystävä Andy McCoy... https://www.suomi24.fi/viihde/seiska-sedu-koskinen-vaihtaa-nimensa-eksoottiseksi-zedu-di-lucaksi-ni
      64
      6177
    4. Baha kadrum/Marzun mies

      Löytyy googlettamalla mukavaa luettavaa. Aivan kamala väkivalta rikollinen!! Ja veljensä samanlaista roskasakkia.
      Kotimaiset julkkisjuorut
      148
      2453